# $Revision: 1.25 $, $Date: 2006/05/22 18:59:26 $
#
# Conditional build:
%bcond_without	snmp	# without SNMP support (problematic with IPv6?)
#
Summary:	Routing daemon - xs26 port
Summary(pl):	Demon routingu - port xs26
Summary(pt_BR):	Servidor de roteamento multi-protocolo - xs26
Summary(ru):	  Zebra - xs26
Summary(uk):	 æ Zebra - xs26
Name:		zebra-xs26
Version:	2.11
Release:	4
License:	GPL
Group:		Networking/Daemons
#Source0Download: http://www.xs26.net/zebra/index.html
Source0:	http://www.xs26.net/zebra/%{name}-%{version}.tar.gz
# Source0-md5:	dadf7bea73d6535d6b046c29b71fb895
Source10:	%{name}-zebra.init
Source11:	%{name}-bgpd.init
Source12:	%{name}-ospf6d.init
Source20:	%{name}-zebra.sysconfig
Source21:	%{name}-bgpd.sysconfig
Source22:	%{name}-ospf6d.sysconfig
Source30:	%{name}-zebra.logrotate
Source31:	%{name}-bgpd.logrotate
Source32:	%{name}-ospf6d.logrotate
Patch0:		%{name}-proc.patch
Patch1:		%{name}-smallfixes.patch
Patch2:		%{name}-remote_dos.patch
Patch3:		%{name}-netlink.patch
Patch4:		%{name}-info.patch
URL:		http://www.xs26.net/zebra/index.html
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.1
%{?with_snmp:BuildRequires:	net-snmp-devel >= 5.0.8}
BuildRequires:	pam-devel
BuildRequires:	readline-devel >= 4.1
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires(post):	/bin/hostname
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	routingdaemon
Obsoletes:	bird
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	zebra
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir /etc/zebra

%description
Zebra is a multi-server routing software package which provides TCP/IP
based routing protocols also with IPv6 support such as RIP, OSPF, BGP
and so on. Zebra turns your machine into a full powered router.

Daemons for each routing protocols are available in separate packages.

%description -l pl
Program do dynamicznego ustawiania tablicy tras. Moe take ustala
trasy dla IPv6.

Demony obsugujce poszczeglne protokoy dostpne s w osobnych
pakietach.

%description -l pt_BR
Zebra  um servidor mltiplo para roteamento, provendo suporte aos
protocolos baseados em TCP/IP (inclusive IPv6) tais como RIP, OSPF,
BGP, entre outros. Zebra transforma sua mquina em um poderoso
roteador.

%description -l ru
GNU Zebra -    ,  
  TCP/IP  .

GNU Zebra  BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2 
RIPng.

%description -l uk
GNU Zebra -  צ  ,    
 TCP/IP  æ.

GNU Zebra Цդ BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2 
RIPng.

%package bgpd
Summary:	BGP routing daemon
Summary(pl):	Demon routingu BGP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-bgpd

%description bgpd
BGP routing daemon. Includes IPv6 support.

%description bgpd -l pl
Demon obsugi protokou BGP. Obsuguje take IPv6.

%package ospf6d
Summary:	IPv6 OSPF routing daemon
Summary(pl):	Demon routingu OSPF w sieciach IPv6
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-ospf6d

%description ospf6d
OSPF6 routing daemon for IPv6 networks.

%description ospf6d -l pl
Demon obsugi protokou OSPF w sieciach IPv6.

%prep
%setup -q -n zebra-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure \
	--enable-netlink \
	%{!?with_snmp:--disable-snmp} \
	%{?with_snmp:--enable-snmp} \
	--enable-ipv6 \
	--enable-ospf6d \
	--enable-bgpd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,pam.d} \
	$RPM_BUILD_ROOT/var/log/{archiv,}/zebra \
	$RPM_BUILD_ROOT/var/run/zebra

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/zebra
install %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/bgpd
install %{SOURCE12} $RPM_BUILD_ROOT/etc/rc.d/init.d/ospf6d

install %{SOURCE20} $RPM_BUILD_ROOT/etc/sysconfig/zebra
install %{SOURCE21} $RPM_BUILD_ROOT/etc/sysconfig/bgpd
install %{SOURCE22} $RPM_BUILD_ROOT/etc/sysconfig/ospf6d

install %{SOURCE30} $RPM_BUILD_ROOT/etc/logrotate.d/zebra
install %{SOURCE31} $RPM_BUILD_ROOT/etc/logrotate.d/bgpd
install %{SOURCE32} $RPM_BUILD_ROOT/etc/logrotate.d/ospf6d

touch $RPM_BUILD_ROOT/var/log/zebra/{zebra,bgpd,ospf6d}.log

touch $RPM_BUILD_ROOT%{_sysconfdir}/{vtysh.conf,zebra.conf}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add zebra >&2
umask 027
if [ ! -s %{_sysconfdir}/zebra.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/zebra.conf
fi
%service zebra restart "main routing daemon"

%post bgpd
/sbin/chkconfig --add bgpd >&2
%service bgpd restart "bgpd routing daemon"

%post ospf6d
/sbin/chkconfig --add ospf6d >&2
%service ospf6d restart "ospf6d routing daemon"

%preun
if [ "$1" = "0" ]; then
	%service zebra stop
	/sbin/chkconfig --del zebra >&2
fi

%preun bgpd
if [ "$1" = "0" ]; then
	%service bgpd stop
	/sbin/chkconfig --del bgpd >&2
fi

%preun ospf6d
if [ "$1" = "0" ]; then
	%service ospf6d stop
	/sbin/chkconfig --del ospf6d >&2
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README REPORTING-BUGS SERVICES TODO
%{_infodir}/*info*
%{_mandir}/man1/*
%dir %attr(750,root,root) %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) %{_sysconfdir}/*.conf
%dir %attr(750,root,root) /var/run/zebra
%dir %attr(750,root,root) /var/log/zebra
%dir %attr(750,root,root) /var/log/archiv/zebra

%doc zebra/*sample*
%{_mandir}/man8/zebra*
%attr(755,root,root) %{_sbindir}/zebra
%attr(754,root,root) /etc/rc.d/init.d/zebra
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/zebra
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/zebra
%ghost /var/log/zebra/zebra*

%files bgpd
%defattr(644,root,root,755)
%doc bgpd/*sample*
%{_mandir}/man8/bgpd*
%attr(755,root,root) %{_sbindir}/bgpd
%attr(754,root,root) /etc/rc.d/init.d/bgpd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/bgpd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/bgpd
%ghost /var/log/zebra/bgpd*

%files ospf6d
%defattr(644,root,root,755)
%doc ospf6d/*sample*
%{_mandir}/man8/ospf6d*
%attr(755,root,root) %{_sbindir}/ospf6d
%attr(754,root,root) /etc/rc.d/init.d/ospf6d
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ospf6d
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ospf6d
%ghost /var/log/zebra/ospf6d*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zebra-xs26.spec,v $
Revision 1.25  2006/05/22 18:59:26  glen
- rel 4

Revision 1.24  2006/05/22 17:32:22  glen
- deamon->daemon spelling fix

Revision 1.23  2006/03/13 23:14:32  glen
- use %service

Revision 1.22  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.21  2005/09/10 14:20:08  gotar
- rel++, start interfaces with priority of 13 and routing with 15

Revision 1.20  2005/03/13 10:55:56  paszczus
- reverted

Revision 1.18  2004/10/30 12:17:48  paladine
- spaces->tabs

Revision 1.17  2003/12/01 12:37:22  qboosh
- ac 2.53 required

Revision 1.16  2003/12/01 12:19:30  qboosh
- fixed and applied proc patch, added info patch
- added remote_dos and netlink patches from plain zebra update from RH
  (fixes for CAN-2003-0795 and CAN-2003-0858 resp.)
- release 2

Revision 1.15  2003/08/17 15:48:06  undefine
- update to 2.11

Revision 1.14  2003/05/28 13:03:17  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/02/11 20:08:24  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.11  2002/11/29 14:32:19  undefine
- updated to 2.08d
- new %doc

Revision 1.10  2002/10/19 14:59:02  kloczek
release 2: rebuild against ucd-snmp 4.2.6.

Revision 1.9  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/09/24 18:31:25  undefine
- updated to 2.08

Revision 1.7  2002/07/02 14:39:02  undefine
- updated to 2.06a
- patch from ravi to display description and router-id

Revision 1.6  2002/06/08 17:49:22  undefine
- forcing compile ospf6d (sometimes configure don't enable it)

Revision 1.5  2002/06/08 14:55:22  undefine
- removed obsolete patches
- stbr

Revision 1.4  2002/06/08 14:53:01  undefine
- update parameters to configure

Revision 1.3  2002/06/08 14:49:54  undefine
- install without pam module(module required by vtysh which is not
  available on zebra-xs26

Revision 1.2  2002/06/04 11:58:02  undefine
- forgoten Log
